Bug 1256360 - [DOC] Translation issue - now a general issue -Paravirt vs virt needs clarification
[DOC] Translation issue - now a general issue -Paravirt vs virt needs clarifi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Getting_Started_Guide (Show other bugs)
7.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Jiri Herrmann
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 08:19 EDT by Laura Novich
Modified: 2016-11-09 07:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-09 07:39:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Novich 2015-08-24 08:19:03 EDT
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Getting_Started_Guide/chap-Virtualization_Getting_Started-What_Is_It.html#sec-what_is_virtualization

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: the phrase "encompasses the entire kernel" causes confusion when translating. Re-phrase it.

Additional information:
Comment 3 Dayle Parker 2015-10-19 19:24:09 EDT
Hi Jirka,

I'm not confident "para-virtualization can contain the entire kernel" explains the concept or difference between para-virt and full virt more clearly than its original wording. I'd suggest a total rewrite of the para-virtualization paragraph.

From my understanding (I could be wrong), the 'awareness' of the system about whether it's being virtualized might be a more important distinction to make here -- in full virtualization, the system 'thinks' it's running on bare metal, where in para-virtualization, the system is 'aware' that some components have been virtualized, as things that are virtualized are running in parallel to bare-metal functions. (Except perhaps with Xen, where the whole kernel may be running as a virtualized one -- which makes the definition more difficult to make).

In this case, I'd rather defer to the experts -- Jamie Bainbridge (from the SEG team) once explained para-virt vs. full virt to me in a really excellent and clear way, so I will add a needinfo for him. 

Jamie, would you mind helping us come up with a simpler/clearer explanation of these two concepts so we can edit what's in our guide in the following section?

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Getting_Started_Guide/chap-Virtualization_Getting_Started-What_Is_It.html#sec-what_is_virtualization

Thanks so much,
Dayle
Comment 4 Jamie Bainbridge 2015-10-20 03:20:04 EDT
I like the description you just gave!

How simple/complex do we want to go?

What is the issue the translators are facing with the "encompass" phrase, so we can think of a different way to describe it?
Comment 5 Dayle Parker 2015-11-02 21:17:05 EST
Thanks for your input, Jamie. :) You're right -- I think we need to know more about what was originally problematic with "encompass", then we can decide how to improve it.

Jirka, what are your thoughts on the explanations above?
Comment 10 Laura Novich 2015-12-14 09:25:27 EST
After looking at the docs, moving to verified.
Thank you Jaime and Jiri!
Best Regards,
Laura

Note You need to log in before you can comment on or make changes to this bug.